www.3112.net > storm0.9.0.1整合kAFkA需要哪些jAr包

storm0.9.0.1整合kAFkA需要哪些jAr包

答:这个是scala的编译库喝运行时库(kafka是用sbt管理依赖的),所以建议你使用sbt,会自动下载所有依赖

(1)直接将驱动放到 E:\Myeclipse-WorkPlace\MyProject\WebRoot\WEB-INF\lib下即可;推荐使用。 (2)用MyEclipse添加驱动:工程myweb—右键—properties—Javabuild path—libraries—Add External Jars将驱动添加即可。

public PartitionManager(DynamicPartitionConnections connections, String topologyInstanceId, ZkState state, Map stormConf, SpoutConfig spoutConfig, Partition id) { _partition = id; _connections = connections; _spoutConfig = spou...

从多个角度全面讲解Storm实时数据处理技术和最佳实践,为快速掌握并灵活应用Storm提供实用指南 从实际问题出发,系统介绍Storm的基本应用、多语言特性、完整业务系统实现和产品交付的最佳实践方法;从产品持续交付角度,分析并实践集成、测试和...

public static void consumer(){ Properties props = new Properties(); props.put("zk.connect", "hadoop-2:2181"); props.put("zk.connectiontimeout.ms", "1000000"); props.put("groupid", "fans_group"); // Create the connection to the ...

答:这个是scala的编译库喝运行时库(kafka是用sbt管理依赖的),所以建议你使用sbt,会自动下载所有依赖

网站地图

All rights reserved Powered by www.3112.net

copyright ©right 2010-2021。
www.3112.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com